#1236 closed defect (fixed)

How I move two files?

Reported by: diana Owned by: Chris Johns
Priority: normal Milestone: 4.8
Component: fs Version: 4.6
Severity: critical Keywords:
Cc: thomas.doerfler@… Blocked By:
Blocking:

Description

I want to replace one file to another, Im using link function link(oldpath,newpath) but doesnt work, I replace that function for rename function rename(oldpath,newpath), but doesnt work too.
What function serves to me for move or replace two files.

Change History (4)

comment:1 Changed on Apr 5, 2007 at 5:48:27 AM by thomas.doerfler

Cc: thomas.doerfler added

comment:2 Changed on Aug 4, 2008 at 7:49:37 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Chris Johns

comment:3 Changed on Aug 7, 2008 at 1:06:27 AM by Chris Johns

Status: newassigned

comment:4 Changed on Mar 4, 2010 at 6:55:20 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

A rename handler has been added to file ops struct in 4.10 (CVS). Handlers have been added to the IMFS, DOSFS and RFS file systems. These have been tested using the mv command in the shell.

Note: See TracTickets for help on using tickets.